Posts Tagged ‘debian’
Deluge On Ubuntu
Written by piju on September 9, 2009 – 12:33 pm -Recently, i was thinking which one is the best torrent client for my personal use. then i choose deluge.
install using apt-get on ubuntu/debian/debian-based.
$sudo apt-get install deluge
$sudo apt-get install deluge-webui
i need startup files for deluge, then create /etc/default/deluge-daemon and add this
# Configuration for /etc/init.d/deluge-daemon
# The init.d script will only run if this variable non-empty.
DELUGED_USER=”CHANGEME” # !!!CHANGE THIS!!!!
# Should we run at startup?
RUN_AT_STARTUP=”YES”
then, create /etc/init.d/deluge-daemon
#!/bin/sh
### BEGIN INIT INFO
# Provides: deluge-daemon
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $network
# Should-Stop: $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description: Starts the deluge daemon with the user specified in
# /etc/default/deluge-daemon.
### END INIT INFO
# Author: Adolfo R. Brandes
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC=”Deluge Daemon”
NAME1=”deluged”
NAME2=”deluge”
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS=”-d”
DAEMON2=/usr/bin/deluge
DAEMON2_ARGS=”-u web”
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME
# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
log_warning_msg “Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it.”
exit 0
fi
if [ -z "$DELUGED_USER" ]
then
log_warning_msg “Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME.”
exit 0
fi
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –exec $DAEMON1 \
–chuid $DELUGED_USER –user $DELUGED_USER –test > /dev/null
RETVAL1=”$?”
start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –exec $DAEMON2 \
–chuid $DELUGED_USER –user $DELUGED_USER –test > /dev/null
RETVAL2=”$?”
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1
start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –make-pidfile –exec $DAEMON1 \
–chuid $DELUGED_USER –user $DELUGED_USER — $DAEMON1_ARGS
RETVAL1=”$?”
sleep 2
start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –make-pidfile –exec $DAEMON2 \
–chuid $DELUGED_USER –user $DELUGED_USER — $DAEMON2_ARGS
RETVAL2=”$?”
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE2
RETVAL2=”$?”
start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE1
RETVAL1=”$?”
[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2
rm -f $PIDFILE1 $PIDFILE2
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}
case “$1″ in
start)
[ "$VERBOSE" != no ] && log_daemon_msg “Starting $DESC” “$NAME1″
do_start
case “$?” in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg “Stopping $DESC” “$NAME1″
do_stop
case “$?” in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
log_daemon_msg “Restarting $DESC” “$NAME1″
do_stop
case “$?” in
0|1)
do_start
case “$?” in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo “Usage: $SCRIPTNAME {start|stop|restart|force-reload}” >&2
exit 3
;;
esac
:
make it executable and start on boot,
sudo chmod 755 /etc/init.d/deluge-daemon
sudo update-rc.d deluge-daemon defaults
sudo /etc/init.d/deluge-daemon start
webui address is http://localhost:8112 and the default password is deluge

Gespeaker – GTK+ frontend for the espeak system
Written by piju on July 1, 2009 – 4:39 pm -Gespeaker is a GTK+ frontend for espeak. It allows to play a text in many languages with settings for voice, pitch, volume, speed and word gap.

Chmsee – HTML Help viewer for Unix/Linux
Written by piju on June 30, 2009 – 8:44 am -ChmSee is an HTML Help viewer for Unix/Linux.It is based on CHMLIB and uses GTK2+ as frontend toolkit. Because of using gecko as the HTML rendering engine, it can support rich features of modern HTML page, such as CSS and JavaScript.

INSTALL
Debian: http://packages.debian.org/sid/chmsee
Ubuntu: https://launchpad.net/ubuntu/+source/chmsee
Fedora: https://admin.fedoraproject.org/pkgdb/packages/name/chmsee
openSUSE: http://www.novell.com/products/linuxpackages/opensuse/chmsee.html
Archlinux: http://aur.archlinux.org/packages.php?ID=3316
FreeBSD: http://www.freebsd.org/cgi/cvsweb.cgi/ports/deskutils/chmsee/
MacOS: http://chmsee.darwinports.com/
Posted in free software | No Comments »
Controleee – Control panel for Asus EeePC
Written by piju on June 29, 2009 – 8:30 pm -ControlEee is an application written in Python/Qt4 that allows users to turn on/off bluetooth, webcam and wlan devices on a EeePC. Often these devices are not used and if they remain active, they increase the power consumption. So if you want your battery to last longer, it’s a good idea to turn them off.
At the moment turning off wlan device is not allowed because it causes a kernel panic (at least on the distribution/hardware I’ve tested this: Ubuntu-eee/AsusEeePC 901).
To run this application you need Python and Qt4 bindings. On a Debian/Ubuntu based distribution you can install them in this way: sudo apt-get install python-qt4

Download
http://controleee.googlecode.com/files/controleee-0.1.tar.gz
Posted in debian, free software, google code, linux | No Comments »
Installing Google Software Using APT
Written by piju on November 10, 2008 – 2:44 pm -This post brief how to install google software using apt commands, run this single command using root account or sudo.
wget -q -O – https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add – && echo “deb http://dl.google.com/linux/deb/ stable non-free” >> /etc/apt/sources.list && apt-get update
Then install ur favourite google’s software
root@piju-laptop:~# apt-get install picasa
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following NEW packages will be installed:
picasa
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 24.1MB of archives.
After this operation, 91.1MB of additional disk space will be used.
Get:1 http://dl.google.com stable/non-free picasa 2.7.3736-15 [24.1MB]
8% [1 picasa 1939951/24.1MB 8%] 10.0kB/s 36min46s
Posted in Uncategorized | No Comments »
Figlet – Banner Generator
Written by piju on June 30, 2008 – 8:49 pm -FIGlet is a computer program that generates text banners, in a variety of typefaces, comprised of letters made up of conglomerations of smaller ASCII characters (see ASCII Art).
Being free software, FIGlet is commonly included as part of many Unix-like operating system (Linux[4], BSD, etc.) distributions, but it has been ported to other platforms as well. The official FIGlet FTP site includes precompiled ports for the Acorn, Amiga, Apple II, Atari ST, BeOS, Macintosh, MS-DOS, NextStep, OS/2, and Windows platforms, as well as a reimplementation in Perl (Text::FIGlet).[5] There are third-party reimplementations of FIGLet in Java[6] (including one embedded in the JavE ASCII Art editor), Javascript[7] and PHP[8]. FIGlet was featured as a Debian Package of the Day in 2007.[9]
Figlet is cool apps to create banner to your motd or issue
To install it, just enable your ubuntu repo and
sudo apt-get install figlet
See lot of its instruction of use by issuing this command
man figlet
You can also use http://schnoggo.com/figlet.html
It is a web based banner creator
Posted in Uncategorized | 9 Comments »

